<form name="frmListaMarcas" id="frmListaMarcas" action="" method="post" class="form-busca">
	<input type="hidden" name="categoria" value="17">
	<table border="0" class="tabela-conteudo" cellspacing="10">
		<tbody>
			<tr>
				<td colspan="2" class="titulos-internos">Buscar notícias</td>
			</tr>
			<tr><td colspan="2">&nbsp;</td></tr>
				<tr>
					<th align='left' >
						Buscar: <input type='text' name='busca' id='busca' size='80' maxlength='80' autofocus>
						<br>Deixe em Branco para listar todos
					</th>
				</tr>
				<tr>
					<th align='center' >
						<input type='button' value='Buscar' name='btnBuscar' id='btnBuscar'>
						<input type='button' value='Limpar' name='btnLimpar' id='btnLimpar'>
					</th>
				</tr>	
			<tr><td colspan="4">&nbsp;</td></tr>
		</tbody>
	</table>
</form>

<div id="divResultado" name="divResultado"></div>

<script type="text/javascript">
	jQuery(document).ready(function() {

		//$('#divResultado').hide(data);

		var dadosFormulario = $('#frmListaMarcas').serialize();
		$.ajax({
			url: 'controladores/publicacao-galeria/busca-galeria.php',
			type: 'GET',
			data: dadosFormulario,
			success: function(data){
				$('#divResultado').html(data);
				$('#divResultado').slideDown(400);
			}
		});

		$('#btnBuscar').click(function(){
			$('#divResultado').slideUp(400);
			var dadosFormulario = $('#frmListaMarcas').serialize();
			$.ajax({
				url: 'controladores/publicacao-galeria/busca-galeria.php',
				type: 'GET',
				data: dadosFormulario,
				success: function(data){
					$('#divResultado').html(data);
					$('#divResultado').slideDown(400);
				}
			});
		});

		$('#busca').keydown(function(e) {

			if(e.keyCode == 13) {

				e.preventDefault();

				$('#divResultado').slideUp(400);
				var dadosFormulario = $('#frmListaMarcas').serialize();
				$.ajax({
					url: 'controladores/publicacao-galeria/busca-galeria.php',
					type: 'GET',
					data: dadosFormulario,
					success: function(data){
						$('#divResultado').html(data);
						$('#divResultado').slideDown(400);
					}
				});
			}
		});

	});
</script>